ompi/errhandler/errcode-internal.h File Reference.TH "ompi/errhandler/errcode-internal.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/errhandler/errcode-internal.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'mpi.h'\fP
.br
\fC#include 'ompi/include/constants.h'\fP
.br
\fC#include 'opal/class/opal_object.h'\fP
.br
\fC#include 'class/ompi_pointer_array.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBOMPI_MAX_ERROR_STRING\fP   64"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBompi_errcode_intern_t\fP \fBompi_errcode_intern_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "static int \fBompi_errcode_get_mpi_code\fP (int errcode)"
.br
.RI "\fIReturn the MPI errcode for a given internal error code. \fP"
.ti -1c
.RI "int \fBompi_errcode_intern_init\fP (void)"
.br
.RI "\fIInitialize the error codes. \fP"
.ti -1c
.RI "int \fBompi_errcode_intern_finalize\fP (void)"
.br
.RI "\fIFinalize the error codes. \fP"
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC \fBompi_pointer_array_t\fP \fBompi_errcodes_intern\fP"
.br
.ti -1c
.RI "OMPI_DECLSPEC int \fBompi_errcode_intern_lastused\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "int ompi_errcode_intern_finalize (void)"
.PP
Finalize the error codes. 
.PP
\fBReturns:\fP
.RS 4
OMPI_SUCCESS Always
.RE
.PP
Invokes from \fBompi_mpi_finalize()\fP; tears down the error code array. 
.SS "int ompi_errcode_intern_init (void)"
.PP
Initialize the error codes. 
.PP
\fBReturns:\fP
.RS 4
OMPI_SUCCESS Upon success 
.PP
OMPI_ERROR Otherwise
.RE
.PP
Invoked from \fBompi_mpi_init()\fP; sets up all static MPI error codes, 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
